%global momorel 6

Summary: GNOME IDE for C and C++
Name: anjuta
Version: 2.0.2
Release: %{momorel}m
License: GPL
Group: Development/Tools
URL: http://anjuta.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz e0d1e216da809df32816d233d7c55165
Source1: http://mikeforce.homelinux.org/gnome/po/anjuta-ja.po
NoSource: 1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ORBit2-devel >= 2.12.0
BuildPreReq: autogen-devel >= 5.7
BuildPreReq: binutils >= 2.17
BuildPreReq: devhelp-devel >= 0.11
BuildPreReq: gcc-c++ >= 3.4.3
BuildPreReq: gdl-devel >= 0.6.1
BuildPreReq: glib-devel >= 2.6.4
BuildPreReq: gnome-build-devel >= 0.1.3
BuildPreReq: gnome-vfs-devel >= 2.8.3
BuildPreReq: graphviz-devel >= 2.2.1-2m
BuildPreReq: gtk+-devel >= 2.6.7
BuildPreReq: libglade-devel >= 2.4.1
BuildPreReq: libgnome-devel >= 2.12.0
BuildPreReq: libgnomeprint-devel >= 2.12.0
BuildPreReq: libgnomeprintui-devel >= 2.12.0
BuildPreReq: libgnomeui-devel >= 2.12.0
BuildPreReq: libxml2-devel >= 2.6.16
BuildPreReq: pango-devel >= 1.8.1
BuildPreReq: pcre-devel >= 4.5
BuildPreReq: scrollkeeper >= 0.3.14
BuildPreReq: subversion-devel >= 1.2.0
BuildPreReq: httpd-devel >= 2.0.55-3m
BuildPreReq: vte-devel >= 0.12.1
#BuildPreReq: glade3  # still cvs version
BuildPreReq: neon-devel
BuildPreReq: db4-devel >= 4.3

%description
Anjuta is a versatile Integrated Development Environment (IDE) for C and C++. 
It has been written for GTK/GNOME, and features a number of advanced 
programming facilities. It is basically a GUI interface for the collection 
of command line programming utilities and tools available for the GNU system. 
These are usually run via a text console, and can be unfriendly to use.

%package docs
Summary: Anjuta docuemntations package.
Group: Development/Tools

%description docs
Anjuta documentations.

%prep
%setup -q
cp -f %{SOURCE1} po/ja.po
autoreconf -vfi

%build
export CFLAGS="%{optflags} `%{_bindir}/apr-1-config --cppflags --includes --cflags`"

%configure --enable-final \
    --with-apr-config=%{_bindir}/apr-1-config \
    --with-apu-config=%{_bindir}/apu-1-config
%make AUTOHEADER=autoheader

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
%__rm -fr %{buildroot}/var/scrollkeeper
#%%__rm -fr %{buildroot}/usr/share/doc/anjuta

# delete icon-theme.cache
find %{buildroot} -name icon-theme.cache -delete

%clean
rm -rf --preserve-root %{buildroot}

%post docs
scrollkeeper-update

%postun docs
scrollkeeper-update

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/anjuta/*
%{_libdir}/libanjuta*
%{_libdir}/pkgconfig/libanjuta-1.0.pc
%{_includedir}/libanjuta-1.0/*
%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas
%{_datadir}/anjuta/*
%{_datadir}/applications/anjuta.desktop
%{_datadir}/application-registry/anjuta.applications
%{_datadir}/pixmaps/anjuta
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/mime-info/anjuta.*
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-anjuta.png
%{_datadir}/icons/hicolor/48x48/apps/anjuta_icon.png
%{_datadir}/icons/hicolor/scalable/apps/anjuta_icon.svg
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/help/anjuta/
%{_datadir}/omf/anjuta/
%{_mandir}/man1/*

%files docs
%defattr(-, root, root)
%{_docdir}/anjuta/*
%{_datadir}/gtk-doc/html/*

%changelog
* Wed Jun 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-6m)
- rebuild against binutils-2.17

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-5m)
- rebuild against binutils-2.16.94

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-4m)
- delete duplicated dir and icon-theme.cache

* Wed Jun 01 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.2-3m)
- updated ja.po by the one at http://mikeforce.homelinux.org/

* Thu May 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-2m)
- delete duplicate dir

* Tue May 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2

* Thu May  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-6m)
- use apr-1,apr-util-1

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.0.1-5m)
- rebuild against vte-0.12.1

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-4m)
- rebuild against httpd-2.0.55-3m

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.1-3m)
- rebuild against db4.3

* Wed Jan  3 2006 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.1-2m)
- rebuild against neon-0.25.4

* Thu Jun 30 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Wed May 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Mon Feb 14 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.2-5m)
- update libdir patch.

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.2-4m)
- run auto-brothers

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.2-3m)
- enable x86_64.

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.2-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat May 8 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.2-1m)
- initial import
